Installation

Der Rechner wurde mit einem Grundsystem von Debian 4.0 ohne zusätzlicher Pakete installiert.

Paketinstallationen

editieren von /etc/hostname
echo "deb http://www.debian-multimedia.org/ etch main" >> /etc/apt/sources.list
echo "deb-src http://www.debian-multimedia.org/ etch main" >> /etc/apt/sources.list
mythtv:~# apt-get install mythtv mythweb mythweather mythvideo mythtv-themes mythplugins mythbrowser mythdvd mythgallery mythmusic mythnews xserver-xorg mplayer mysql-server xfs w32codecs
mythtv:~# apt-get install --reinstall xfonts-base
mythtv:~# dpkg-reconfigure xserver-xorg
mythtv:~# startx

Im shell-Fenster am X-Server dann die mythtv Grundkonfiguration einleiten:

mythtv:~# mythtv-setup

bei Problemen mit dem X-Server:

vdr:# dpkg-reconfigure x11-common

die Konfiguration entsprechend angepaßt werden:

Wählen Sie aus, welcher Benutzertyp den X-Server starten darf.
                                                                    Jeder

Bootvorgang optimieren

mythtv:/mnt# find /etc/rc?.d -iname "*xfs*" -exec rm '{}' ';'
mythtv:/mnt# find /etc/rc?.d -iname "*exim*" -exec rm '{}' ';'

/etc/inittab korrigieren:

.
.
.
id:5:initdefault:
.
.
.

1:2345:respawn:/sbin/getty 38400 tty1
2:235:respawn:/sbin/getty 38400 tty2
3:235:respawn:/sbin/getty 38400 tty3
4:235:respawn:/sbin/getty 38400 tty4
5:235:respawn:/sbin/getty 38400 tty5
6:235:respawn:/sbin/getty 38400 tty6
.
.
.
Bootscript
mythtv-tirol:~# cat /etc/init.d/X4mythtv
#! /bin/sh
### BEGIN INIT INFO
# Provides:          X4mythtv
# Required-Start:
# Required-Stop:     mythtv
# Default-Start:     2
# Default-Stop:
# Short-Description: X-Server for mythtv
# Description:       Starts the X-Server for the mythtv.
### END INIT INFO
#
# Author:            Helmar Gerloni <helmar@gerloni.net>
# Version:           2006-09-13
# adopt to mythtv:   Michael Messner
# Version:           2007-08-07
#
PATH=/usr/local/sbin:/usr/local/bin:/sbin:/bin:/usr/sbin:/usr/bin
DESC="X-Server for mythtv on VT7/Display 1"
NAME=X4mythtv
PIDFILE=/var/run/$NAME\.pid
SCRIPTNAME=/etc/init.d/$NAME

# Gracefully exit if the mythtv package has been removed.
#test -x /usr/bin/mythtfrontend || exit 0

#
#       Function that starts X.
#

case "$1" in
  start)
        echo -n "Starting $DESC: $NAME"
        start-stop-daemon --start --background --pidfile $PIDFILE --make-pidfile --exec /usr/X11R6/bin/xinit /usr/bin/mythfrontend -- /usr/bin/X -- :1 vt7 -br -nolisten tcp
        if [ $? -gt 0 ]; then
                echo "Error starting X-Server."
                exit $?
        fi
        echo "."
        ;;
  stop)
        echo -n "Stopping $DESC: $NAME"
        start-stop-daemon --stop --quiet --pidfile $PIDFILE
        if [ $? -gt 0 ]; then
                echo "Error stopping X-Server."
        fi

        echo "."
        ;;
  restart|force-reload)
        echo -n "Restarting $DESC: $NAME"
        #d_stop
        sleep 2
        #d_start
        echo "."
        ;;
  *)
        echo "Usage: $SCRIPTNAME {start|stop|restart|force-reload}" >&2
        exit 1
        ;;
esac

exit 0

sound

16:46:24 mythtv-tirol ~ [root] apt-get install alsa-utils install alsa-base
17:08:40 mythtv-tirol ~ [root] alsaconf
17:09:48 mythtv-tirol ~ [root] alsamixer
17:09:48 mythtv-tirol ~ [root] alsactl store

bootsplash

Derzeit wird der originale mythtv Bootsplash verwendet.

17:50:02 mythtv-tirol ~ [root] apt-get install bootsplash bootsplash-theme-debian linux-patch-bootsplash linux-source-2.6.18 make gcc libncurses5-dev initrd-tools

Kernel entpacken und patchen

18:38:21 mythtv-tirol /usr/src/kernel-patches/diffs/bootsplash [root] gunzip bootsplash-3.1.6-2.6.15-jtm.diff.gz

16:20:43 mythtv-tirol /usr/src/linux [root] egrep 'INITRD|RAM_SIZE|SPLASH' .config
CONFIG_BLK_DEV_RAM_SIZE=12288
CONFIG_BLK_DEV_INITRD=y
CONFIG_BOOTSPLASH=y


# make clean
# make bzImage
# make modules
# make modules_install

17:30:54 mythtv-tirol /usr/src/linux [root] cp arch/i386/boot/bzImage /boot/vmlinuz-2.6.18-splash
17:32:11 mythtv-tirol /usr/src/linux [root] cp System.map /boot/System.map-2.6.18-splash
17:32:24 mythtv-tirol /usr/src/linux [root] ls /lib/modules/
2.6.18  2.6.18-4-686  2.6.18-splash

NOT USE --->>> 17:32:37 mythtv-tirol /boot [root] mkinitramfs -o /boot/initrd-2.6.18-splash /lib/modules/2.6.18-splash/

17:32:37 mythtv-tirol /boot [root] mkinitrd -o /boot/initrd-2.6.18-splash 2.6.18-splash

17:33:31 mythtv-tirol /boot [root] splash -s -f /etc/bootsplash/themes/mythtv/config/bootsplash-800x600.cfg >> /boot/initrd-2.6.18-splash

apt für bootsplash korrigieren (WICHTIG: anschließend wieder entfernen!!!!)

vim /etc/apt/sources.list
deb http://ftp.at.debian.org/debian/ unstable main non-free contrib
deb-src http://ftp.at.debian.org/debian/ unstable main non-free contrib

apt-get update
apt-get install sysv-rc-bootsplash

Grub:

title           mythtv-Box - bootsplash
root            (hd0,0)
kernel          /boot/vmlinuz-2.6.18-splash root=/dev/hda1 ro vga=788 splash=verbose
initrd          /boot/initrd-2.6.18-splash
savedefault

17:33:31 mythtv-tirol /boot [root] reboot 
:-)

check von initrd:

$ mkdir -p /tmp/initrd
$ cd /tmp/initrd
$ cp /boot/initrd.img-2.6.14-1-686 ./initrd.gz
$ gzip -d initrd.gz
$ cpio -i < initrd

shutdown

16:36:57 mythtv-tirol /usr/src/linux [root] apt-get install sudo

monit

monit überprüft Prozesse und startet diese neu wenn sie nicht mehr laufen:

apt-get install monit
vim /etc/monit/monitrc

#...
set logfile syslog facility log_daemon 

#..... ans Ende des files:
check process mythbackend with pidfile /var/run/mythtv/mythbackend.pid
  group mythtv
  start program = "/etc/init.d/mythtv-backend start"
  stop program  = "/etc/init.d/mythtv-backend stop"
  if failed port 6544 proto http then restart
  mode manual
  depends on mysql

check process mysql with pidfile /var/run/mysqld/mysqld.pid
  group mythtv
  start program = "/etc/init.d/mysql start"
  stop program = "/etc/init.d/mysql stop"
  if failed port 3306 then restart
  mode manual

check process X4mythtv with pidfile /var/run/X4mythtv.pid
  start program = "/etc/init.d/X4mythtv start"
  stop program = "/etc/init.d/X4mythtv stop"
22:28:16 mythtv-tirol ~ [root] cat /etc/default/monit 
# Defaults for monit initscript
# sourced by /etc/init.d/monit
# installed at /etc/default/monit by maintainer scripts
# Fredrik Steen <stone@debian.org>

# You must set this variable to for monit to start
startup=1

# To change the intervals which monit should run uncomment
# and change this variable.
CHECK_INTERVALS=15
 
howto/mythtv.txt · Last modified: 2008/05/24 17:05 (external edit)
 
Except where otherwise noted, content on this wiki is licensed under the following license:CC Attribution-Noncommercial-Share Alike 3.0 Unported
Recent changes RSS feed Donate Powered by PHP Valid XHTML 1.0 Valid CSS Driven by DokuWiki